define([
		"chy/_base/_ValidateMixin",
		"dojo/_base/declare",
		"dijit/form/NumberTextBox"
	], function(_ValidateMixin, declare, NumberTextBox){
		
	return declare("chy.form.NumberTextBox",[NumberTextBox, _ValidateMixin],{
		
		//constructor
		constructor: function(args){
			declare.safeMixin(this,args);
			this.inherited(arguments);
		}
		
	});
});
